This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 824798 - Review Request: guacamole-common - The core Java library used by the Guacamole web application
Review Request: guacamole-common - The core Java library used by the Guacamol...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On: 825250
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 05:46 EDT by Simone Caronni
Modified: 2012-06-11 09:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-11 09:26:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sochotni: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simone Caronni 2012-05-24 05:46:28 EDT
Spec URL: http://slaanesh.fedorapeople.org/guacamole-common.spec
SRPM URL: http://slaanesh.fedorapeople.org/guacamole-common-0.6.0-1.fc17.src.rpm
Description:
Guacamole is an HTML5 web application that provides access to desktop
environments using remote desktop protocols such as VNC or RDP. A centralized
server acts as a tunnel and proxy, allowing access to multiple desktops through
a web browser. No plugins are needed: the client requires nothing more than a
web browser supporting HTML5 and AJAX. 

guacamole-common is the core Java library used by the Guacamole web application.
guacamole-common provides abstract means of connecting to guacd, interfacing
with the JavaScript client and tunnel provided by guacamole-common-js, and
reading configuration from a standard location (guacamole.properties).
Fedora Account System Username: slaanesh
Comment 1 Stanislav Ochotnicky 2012-05-25 03:56:50 EDT
I'll review this
Comment 2 Stanislav Ochotnicky 2012-05-25 04:59:59 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[!]: MUST License file installed when any subpackage combination is
     installed.

     LICENSE files should be put into javadoc subpackage as well
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[!]: MUST Requires correct, justified where necessary.
Pom file specifies slf4j and javax.servlet as a dependency. First is
easy, for second one you should probably add "Servlet3" for now. We'll
be fixing javax.XX stuff soon(ish).

[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[-]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Rpmlint is run on all installed packages.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Rpmlint
-------
Checking: guacamole-common-javadoc-0.6.0-1.fc18.noarch.rpm
          guacamole-common-0.6.0-1.fc18.noarch.rpm
          guacamole-common-0.6.0-1.fc18.src.rpm
guacamole-common.noarch: W: spelling-error %description -l en_US guacd -> guard
guacamole-common.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
guacamole-common.src: W: spelling-error %description -l en_US guacd -> guard
guacamole-common.src: W: spelling-error %description -l en_US js -> dis, ks, j
3 packages and 0 specfiles checked; 0 errors, 4 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint guacamole-common guacamole-common-javadoc
guacamole-common.noarch: I: enchant-dictionary-not-found en_US
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
/var/lib/mock/fedora-rawhide-i386/result/guacamole-common-0.6.0-1.fc18.noarch.rpm:
    java  
    jpackage-utils  
    
/var/lib/mock/fedora-rawhide-i386/result/guacamole-common-javadoc-0.6.0-1.fc18.noarch.rpm:
    jpackage-utils  
    
Provides
--------
/var/lib/mock/fedora-rawhide-i386/result/guacamole-common-0.6.0-1.fc18.noarch.rpm:
    guacamole-common = 0.6.0-1.fc18
    mvn(net.sourceforge.guacamole:guacamole-common)  
    
/var/lib/mock/fedora-rawhide-i386/result/guacamole-common-javadoc-0.6.0-1.fc18.noarch.rpm:
    guacamole-common-javadoc = 0.6.0-1.fc18
    
MD5-sum check
-------------
/home/w0rm/work/projects/FedoraReview/824798/guacamole-common-0.6.0.tar.gz :
  MD5SUM this package     : cb33c76634dbcc1ef35cdc98b04a8e6a
  MD5SUM upstream package : cb33c76634dbcc1ef35cdc98b04a8e6a


Generated by fedora-review 0.2.0git
External plugins:
/usr/share/fedora-review/plugins/ext2.pl version: 1.0


SO: Licence should be added to javadoc subpackage, 2 missing
Requires. You could also install pom file directly from pom.xml
instead of .m2 directory while you are at it. It's more common :-)

Other than that package looks good, licensing is clear.

I am also thinking that maybe you could put jars into "guacamole"
subdirectory since there are going to be more closely related
projects. I wouldn't put it as a requirement, but it would be better
IMO.

Good work!
Comment 3 Simone Caronni 2012-05-25 05:26:24 EDT
Thanks,

I've added all you pointed out; but I cannot install it on Fedora 17.

- Added Requires on slf4j and "Servlet3".
- Added LICENSE file to javadoc subpackage.
- Install pom file from pom.xml.
- Moved jar file to guacamole subdirectory.

What does exactly mean "you should probably add "Servlet3" for now. We'll
be fixing javax.XX stuff soon(ish)."?

Thanks,
--Simone
Comment 4 Simone Caronni 2012-05-25 05:59:17 EDT
If I try to install it there seems to be no other package providing "Servlet3":

Resolving Dependencies
--> Running transaction check
---> Package guacamole-common.noarch 0:0.6.0-2.fc17 will be installed
--> Processing Dependency: Servlet3 for package: guacamole-common-0.6.0-2.fc17.noarch
--> Finished Dependency Resolution
Error: Package: guacamole-common-0.6.0-2.fc17.noarch (slaanesh)
           Requires: Servlet3
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 6 Stanislav Ochotnicky 2012-05-25 07:58:01 EDT
Well we are planning to add "javax.servlet" and related provides in appropriate package(s) in next guideline update. We'll see how it goes.

In any case, you figured it out and package is good now. Well done, and as I said before: kudos to upstream devs for doing it right(tm). 

APPROVED
Comment 7 Simone Caronni 2012-05-25 10:47:56 EDT
Spec URL: http://slaanesh.fedorapeople.org/guacamole-common.spec
SRPM URL: http://slaanesh.fedorapeople.org/guacamole-common-0.6.0-3.fc17.src.rpm

Fixed %add_maven_depmap usage as per bug #825250
Comment 8 Mary Ellen Foster 2012-05-25 10:51:31 EDT
Sorry, I wasn't clear -- you also need to change the filename that you use for the pom to correspond to the %add_maven_depmap call. So it should also be
    install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.guacamole-%{name}.pom
And you need to change the filename in the %files directory too

And some package -- I guess probably this one? -- needs to own the %{_javadir}/guacamole directory too.
Comment 9 Simone Caronni 2012-05-25 11:01:05 EDT
Spec URL: http://slaanesh.fedorapeople.org/guacamole-common.spec
SRPM URL: http://slaanesh.fedorapeople.org/guacamole-common-0.6.0-4.fc17.src.rpm

Yep. You're absolutely right.

- Fixed .pom file installation.
- Changed ownership from jar to containing directory.

Thanks,
--Simone
Comment 10 Stanislav Ochotnicky 2012-05-28 05:06:42 EDT
A small request. Please don't remove src.rpm files at least until the review is completely closed. I just wanted to have a look at older srpm file just to find it's not longer there :-/
Comment 11 Simone Caronni 2012-05-28 07:55:22 EDT
Ok, I'll do, sorry.

--Simone
Comment 12 Simone Caronni 2012-05-28 08:41:29 EDT
New Package SCM Request
=======================
Package Name: guacamole-common
Short Description: The core Java library used by the Guacamole web application
Owners: slaanesh
Branches: f17 f16 el6
InitialCC:
Comment 13 Gwyn Ciesla 2012-05-29 08:46:10 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.